Axsync API v2

Comments

Threaded comments on a note, available on team workspaces.

The comment object

FieldTypeDescription
idstringUnique identifier, prefixed with cm_.
author_idstringComment author.
body requiredstringMarkdown, up to 5000 characters.
resolvedbooleanThread resolved flag.
created_attimestampCreation time, RFC 3339 in UTC.

Example

{
  "id": "cm_8f3k2Q9xLm",
  "author_id": "us_5Kd9PaT3",
  "body": "Looks good, merging.",
  "resolved": false,
  "created_at": "2026-09-14T08:21:07Z"
}

GET /notes/{note_id}/comments

List comments. Returns a paginated list of comments.

Required scope: notes:read

Query parameters

FieldTypeDescription
limitintegerPage size, 1–100. Default 25.
cursorstringCursor from the previous page.
sortstringField to sort by, prefix - for descending.
filterstringFilter expression, see Filtering and sorting.

Request

curl -X GET "https://api.axnode.net/v2/notes/note_id/comments" \
  -H "Authorization: Bearer $AXSYNC_TOKEN"
const res = await fetch('https://api.axnode.net/v2/notes/note_id/comments', {
  method: 'GET',
  headers: { Authorization: `Bearer ${token}` }
});
const data = await res.json();
import requests

res = requests.get(
    'https://api.axnode.net/v2/notes/note_id/comments',
    headers={'Authorization': f'Bearer {token}'},
)
data = res.json()

Response 200

{
  "data": [
    {
      "id": "cm_8f3k2Q9xLm",
      "author_id": "us_5Kd9PaT3",
      "body": "Looks good, merging.",
      "resolved": false,
      "created_at": "2026-09-14T08:21:07Z"
    }
  ],
  "has_more": false,
  "next_cursor": null
}

POST /notes/{note_id}/comments

Create a comment. Creates a comment.

Required scope: notes:write

Body parameters

FieldTypeDescription
author_idstringComment author.
body requiredstringMarkdown, up to 5000 characters.
resolvedbooleanThread resolved flag.

Request

curl -X POST "https://api.axnode.net/v2/notes/note_id/comments" \
  -H "Authorization: Bearer $AXSYNC_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"body": "Looks good, merging."}'
const res = await fetch('https://api.axnode.net/v2/notes/note_id/comments', {
  method: 'POST',
  headers: { Authorization: `Bearer ${token}`, 'Content-Type': 'application/json' },
  body: JSON.stringify({"body": "Looks good, merging."})
});
const data = await res.json();
import requests

res = requests.post(
    'https://api.axnode.net/v2/notes/note_id/comments',
    headers={'Authorization': f'Bearer {token}'}, json={"body": "Looks good, merging."},
)
data = res.json()

Response 201

{
  "id": "cm_8f3k2Q9xLm",
  "author_id": "us_5Kd9PaT3",
  "body": "Looks good, merging.",
  "resolved": false,
  "created_at": "2026-09-14T08:21:07Z"
}

GET /notes/{note_id}/comments/{id}

Retrieve a comment. Retrieves a comment by its identifier.

Required scope: notes:read

Request

curl -X GET "https://api.axnode.net/v2/notes/note_id/comments/cm_8f3k2Q9xLm" \
  -H "Authorization: Bearer $AXSYNC_TOKEN"
const res = await fetch('https://api.axnode.net/v2/notes/note_id/comments/cm_8f3k2Q9xLm', {
  method: 'GET',
  headers: { Authorization: `Bearer ${token}` }
});
const data = await res.json();
import requests

res = requests.get(
    'https://api.axnode.net/v2/notes/note_id/comments/cm_8f3k2Q9xLm',
    headers={'Authorization': f'Bearer {token}'},
)
data = res.json()

Response 200

{
  "id": "cm_8f3k2Q9xLm",
  "author_id": "us_5Kd9PaT3",
  "body": "Looks good, merging.",
  "resolved": false,
  "created_at": "2026-09-14T08:21:07Z"
}

PATCH /notes/{note_id}/comments/{id}

Update a comment. Updates fields of a comment. Only supplied fields change.

Required scope: notes:write

Body parameters

FieldTypeDescription
author_idstringComment author.
body requiredstringMarkdown, up to 5000 characters.
resolvedbooleanThread resolved flag.

Request

curl -X PATCH "https://api.axnode.net/v2/notes/note_id/comments/cm_8f3k2Q9xLm" \
  -H "Authorization: Bearer $AXSYNC_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"body": "Looks good, merging."}'
const res = await fetch('https://api.axnode.net/v2/notes/note_id/comments/cm_8f3k2Q9xLm', {
  method: 'PATCH',
  headers: { Authorization: `Bearer ${token}`, 'Content-Type': 'application/json' },
  body: JSON.stringify({"body": "Looks good, merging."})
});
const data = await res.json();
import requests

res = requests.patch(
    'https://api.axnode.net/v2/notes/note_id/comments/cm_8f3k2Q9xLm',
    headers={'Authorization': f'Bearer {token}'}, json={"body": "Looks good, merging."},
)
data = res.json()

Response 200

{
  "id": "cm_8f3k2Q9xLm",
  "author_id": "us_5Kd9PaT3",
  "body": "Looks good, merging.",
  "resolved": false,
  "created_at": "2026-09-14T08:21:07Z"
}

DELETE /notes/{note_id}/comments/{id}

Delete a comment. Permanently deletes a comment. This cannot be undone.

Required scope: notes:write

Request

curl -X DELETE "https://api.axnode.net/v2/notes/note_id/comments/cm_8f3k2Q9xLm" \
  -H "Authorization: Bearer $AXSYNC_TOKEN"
const res = await fetch('https://api.axnode.net/v2/notes/note_id/comments/cm_8f3k2Q9xLm', {
  method: 'DELETE',
  headers: { Authorization: `Bearer ${token}` }
});
const data = await res.json();
import requests

res = requests.delete(
    'https://api.axnode.net/v2/notes/note_id/comments/cm_8f3k2Q9xLm',
    headers={'Authorization': f'Bearer {token}'},
)
data = res.json()

Response 200

{
  "deleted": true,
  "id": "cm_8f3k2Q9xLm"
}